#!/bin/sh

#
# this is a generic script which assume java 1.2.2 or higher is already
# installed and available in your path. The "Resolve symlinks" section
# may need work...

case "`uname -m`" in
    i[3-6]86)
        plat=linux
        ;;
    sun*)
        plat=sun
        ;;
    *)
        plat="`uname -m`"
        ;;
esac

PRG=$0

  # Resolve symlinks. Borrowed from InstallAnywhere startup script.
  while [ -h "$PRG" ]; do
     case "`uname`" in
       SunOS)
           ls=`/bin/ls -ld "$PRG"`
           link=`/usr/bin/expr "$ls" : '^.*-> \(.*\)$'`
           if /usr/bin/expr "$link" : '^/' > /dev/null; then
               PRG="$link"
           else
               PRG="`/usr/bin/dirname $PRG`/$link"
           fi
       ;;
       Linux)
           ls=`/bin/ls -ld "$PRG"`
           link=`/usr/bin/expr "$ls" : '.*-> \(.*\)$'`
           if /usr/bin/expr "$link" : '/' > /dev/null; then
               PRG="$link"
           else
               PRG="`/usr/bin/dirname $PRG`/$link"
           fi
       ;;
       *)
             echo "Unsupported OS!.. trying to continue"
       ;;
     esac
  done
  
APPHOME=`dirname "$PRG"`
export APPHOME

xml_cp=${APPHOME}/xerces.jar
xsl_cp=${APPHOME}/xalan.jar
ecs_cp=${APPHOME}/ecs.jar

geminiExt_cp=${APPHOME}/geminiExt.jar
gbtExt_cp=${APPHOME}/gbtExt.jar
pit_cp=${APPHOME}/pit.jar
javahelp_cp=${APPHOME}/jhall.jar

CLASSPATH=.:${APPHOME}:${pit_cp}:${gbtExt_cp}:${javahelp_cp}:${xml_cp}:${xsl_cp}:${ecs_cp}
export CLASSPATH
#echo $CLASSPATH

unset JFLAGS
if echo "$plat" | /bin/grep "linux" >/dev/null 2>&1
then
  # The default heap size for Linux Java is smaller than other platforms.
  # Must increase it.  If you see out-of-memory errors, increase it more.
  # -mx32m means 32MB maximum heap size.  Default on Linux is 16MB.
  JFLAGS=-mx32m
fi

exec java ${JFLAGS} edu.gemini.phase1.tool.app.PIT ${@+"$@"}

